Bug 150232 - CAN-2005-0626 Cookie leak in squid
CAN-2005-0626 Cookie leak in squid
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squid (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Jay Fenlason
impact=low,public=20050302,source=gen...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-03 16:01 EST by Josh Bressers
Modified: 2014-08-31 19:27 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-415
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-14 15:43:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-03-03 16:01:20 EST
A race window has been discovered where Set-Cookie headers may leak to another
users if the requested server relies on the now (since 1997) obsolete Netscape
Set-Cookie specifications in how caches should handle the Set-Cookie header on
otherwise cacheable content.

http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE9-setcookie
Comment 1 Josh Bressers 2005-03-03 16:03:14 EST
This issue probably also affects RHEL3 and RHEL2.1
Comment 2 Josh Bressers 2005-03-03 16:29:54 EST
This issue doesn't affect RHEL2.1 or RHEL3.
Comment 3 Josh Bressers 2005-06-14 15:43:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-415.html

Note You need to log in before you can comment on or make changes to this bug.